
Auto Multiple Choice - Bug # 103: Cannot select the student ID column (from students list csv file) for 
automatic association.

Status: Closed Priority: Normal
Author: Jean-Baptiste Rouquier Category:
Created: 12/02/2012 Assignee:
Updated: 03/08/2013 Due date:
Description: On the marking tab, I click "set file", select a csv file, then:

The drop-down list "primary key from this list" shows all column titles.
The drop-down list "Code name for automatic association" only has the option "(none)".

I'm using
- the separateanswersheet,noshuffle,postcorrect,insidebox options,
- the same answersheet for all students
- ubuntu and the default package: AMC 1104
- this student list (as csv file):
<pre>
numero,prenom,nom3
0666,corrige,a
1984,test1,saletes
2012,rouquier,JB
0000,test2,2
</pre>

Thanks for your help.

History
12/03/2012 09:09 am - Alexis Bienvenüe
> The drop-down list "Code name for automatic association" only has the option "(none)".
This option will be used for automatic association, when a @\AMCcode@ command was used in the subject. Did you use this command? If not, only 
manual association will be available.

12/03/2012 02:30 pm - red sea
add amcode like this:

<pre>
\AMCcode{numero}{4}
</pre>

12/03/2012 02:34 pm - red sea
or horizonal:

<pre>
\AMCcodeH{numero}{4}
</pre>

12/03/2012 11:50 pm - Jean-Baptiste Rouquier
Yes, I already have this code in the LaTeX file:

<pre>
Numéro de candidat:
\AMCcodeVspace=0.8em  \medskip\par\AMCcodeH{numeroCandidat}{4}
</pre>

12/04/2012 10:42 am - Alexis Bienvenüe
> Yes, I already have this code in the LaTeX file
Can you send your source file?

12/04/2012 11:20 pm - Jean-Baptiste Rouquier
- File m_postcorrect_outsidebox.tex added

- File m_postcorrect_outsidebox.pdf added

Foo bar baz are placeholders, appart from those substitutions this is the exact source code I use.
I print only the last page (the answersheet), the actual questions are on distinct, separate material.

12/05/2012 08:42 am - Alexis Bienvenüe
> The drop-down list "Code name for automatic association" only has the option "(none)".
With your source file, I get "numeroCandidat" as a choice in this list. Did you process marking before trying students identification? What is your AMC 
version?

12/05/2012 08:57 am - Jean-Baptiste Rouquier
Indeed, I expect  "numeroCandidat" as a choice in this list.

By "process marking", you mean clicking the "Mark" button in the Marking tab? Yes, I did that.

I'm using the default Ubuntu package: AMC 1.1.1 (svn:1104)
I'll try with the latest SVN version when I return to this project.

12/05/2012 09:01 am - Alexis Bienvenüe
> By "process marking", you mean clicking the "Mark" button in the Marking tab? Yes, I did that.
That was it.
Can you start AMC, switch to debugging mode (from Help menu), open the project, and post the produced log file?

12/05/2012 02:51 pm - Alexis Bienvenüe
I think the problem is corrected since revision r1187: please test with a recent AMC version, using for example the "test 
PPA":https://launchpad.net/~alexis.bienvenue/+archive/test. See also (in french) message#502.

12/11/2012 03:48 pm - Alexis Bienvenüe
- Status changed from New to Feedback

03/08/2013 09:42 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Files
m_postcorrect_outsidebox.tex 13.6 kB 12/04/2012 Jean-Baptiste Rouquier
m_postcorrect_outsidebox.pdf 145.7 kB 12/04/2012 Jean-Baptiste Rouquier
